Results 1 to 2 of 2

Thread: Compiz unsupported plugins

  1. #1

    Default Compiz unsupported plugins

    There are a few of the compiz unsupported plugins that i want. Namely screensaver, and freewins. Neither of those is included in any rpm on the repo's i have searched on, so i decided to build them myself. I expected them to just use make, but apparently they use cmake, so i installed that and gave it a try. Simply put, it doesn't work at all on either of them. It finds many errors. Has anybody successfully compiled either of these, or any other compiz plugins, using cmake? I am on 11.3 if it helps.

  2. #2

    Default Re: Compiz unsupported plugins

    Just thought it would be a good idea to post the output from CMake here. This is the ouput when trying to run it on freewins
    Code:
    -- The C compiler identification is GNU
    -- The CXX compiler identification is GNU
    -- Check for working C compiler: /usr/bin/gcc
    -- Check for working C compiler: /usr/bin/gcc -- works
    -- Detecting C compiler ABI info
    -- Detecting C compiler ABI info - done
    -- Check for working CXX compiler: /usr/bin/c++
    -- Check for working CXX compiler: /usr/bin/c++ -- works
    -- Detecting CXX compiler ABI info
    -- Detecting CXX compiler ABI info - done
    CMake Error at CMakeLists.txt:1 (find_package):
      Could not find module FindCompiz.cmake or a configuration file for package
      Compiz.
    
      Adjust CMAKE_MODULE_PATH to find FindCompiz.cmake or set Compiz_DIR to the
      directory containing a CMake configuration file for Compiz.  The file will
      have one of the following names:
    
        CompizConfig.cmake
        compiz-config.cmake
    
    
    
    CMake Error at CMakeLists.txt:3 (include):
      include could not find load file:
    
        CompizPlugin
    
    
    -- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so
    -- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so - found
    -- Looking for gethostbyname
    -- Looking for gethostbyname - found
    -- Looking for connect
    -- Looking for connect - found
    -- Looking for remove
    -- Looking for remove - found
    -- Looking for shmat
    -- Looking for shmat - found
    -- Looking for IceConnectionNumber in ICE
    -- Looking for IceConnectionNumber in ICE - found
    -- Found X11: /usr/lib/libX11.so
    CMake Error at CMakeLists.txt:7 (compiz_plugin):
      Unknown CMake command "compiz_plugin".
    
    
    CMake Warning (dev) in CMakeLists.txt:
      No cmake_minimum_required command is present.  A line of code such as
    
        cmake_minimum_required(VERSION 2.8)
    
      should be added at the top of the file.  The version specified may be lower
      if you wish to support older CMake versions for this project.  For more
      information run "cmake --help-policy CMP0000".
    This warning is for project developers.  Use -Wno-dev to suppress it.
    
    -- Configuring incomplete, errors occurred!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •